×

Discussion Board

Results 1 to 11 of 11
  1. #1
    Registered User
    Join Date
    Jan 2009
    Posts
    6

    Unhappy Problem with S60 3th Edition FP 2 and Sensor Plug-in

    Hello to everybody,
    I got a problem when running an application that uses Sensor Framework.
    I have installed Carbide.c++ 2.0 (but there was the same problem with Carbide.c++ 1.3), S60 3th Edition Feature Pack 2 and the Sensor API Plug-in for S60 3rd Edition SDK for Symbian OS, Feature Pack 2.
    When I compile the example program (SensorTestApplication) I got no errors, but when I try to run it Carbide send me this error: " The ordinal 1927 could not be located in the dynamic link library euser.dll ".
    I tried to run other test/example programs, but the error is still the same :-(.
    Could anybody help me?

    Thanks!!!

  2. #2
    Nokia Developer Expert
    Join Date
    Mar 2003
    Location
    Lempäälä/Finland
    Posts
    29,142

    Re: Problem with S60 3th Edition FP 2 and Sensor Plug-in

    Which Sensor API are you using ?

    There is the one for 5500 (and N95 rtc.), that is for MR SDK mainly, and you need to install it separately. And the there is Sensor Framework, that is shipped with 5th edition SDK.

    All and all, see Wiki for more informatoin.

  3. #3
    Nokia Developer Moderator
    Join Date
    Sep 2004
    Location
    Tampere, Finland
    Posts
    11,355

    Re: Problem with S60 3th Edition FP 2 and Sensor Plug-in

    Try running the example on device.
    -- Lucian

    If you are not yet a DVLUP member it is time to correct that mistake :) Click here to join: http://www.dvlup.com/lucian/Invite

  4. #4
    Registered User
    Join Date
    Jan 2009
    Posts
    6

    Re: Problem with S60 3th Edition FP 2 and Sensor Plug-in

    Thanks for replies!!
    I'm using the Sensor Framework for s60 5th edition.
    I installed S60 3th Edition FP2 and then the Sensor Framework Plug-in (5th ed.'s framework backported on 3th ed. fp2).
    I'll test the example on N79 phone, but I haven't it yet. I bought on an e-shop and it hasn't arrived yet.
    I just wonder to test sensor applications on emulator before running on device..
    Now I'm installing S60 5th edition, maybe it will work (I hope..).
    I will tell you
    Last edited by xzjw83; 2009-01-24 at 12:57.

  5. #5
    Registered User
    Join Date
    Jan 2009
    Posts
    6

    Smile Re: Problem with S60 3th Edition FP 2 and Sensor Plug-in

    Well, trying with S60 5th edition I can run the sample application correctly on the emulator.
    Does anyone know if I can run 5th ed. application on 3th ed. FP2 device? I mean: I develop and test (on the emulator) my application on s60 5th ed. and then I run it on my N79. Sounds correct or I will get errors errors errors??
    Thank you!!

  6. #6
    Nokia Developer Expert
    Join Date
    Mar 2003
    Location
    Lempäälä/Finland
    Posts
    29,142

    Re: Problem with S60 3th Edition FP 2 and Sensor Plug-in

    Usually you should not use applications made with never SDK than the device is, though if you do not use anything special to 5th edition, you propably could get it working, though, you should verify that on the device..

  7. #7
    Registered User
    Join Date
    Jan 2009
    Posts
    6

    Re: Problem with S60 3th Edition FP 2 and Sensor Plug-in

    I know I should not develop with S60 5th ed. when my device is s60 3th ed fp2, but I cannot do otherwise.
    Did anyone try to run a sensor's example with s60 3th ed. FP2?

  8. #8
    Nokia Developer Moderator
    Join Date
    Feb 2006
    Location
    Oslo, Norway
    Posts
    28,567

    Re: Problem with S60 3th Edition FP 2 and Sensor Plug-in


  9. #9
    Regular Contributor
    Join Date
    Aug 2009
    Posts
    75

    Re: Problem with S60 3th Edition FP 2 and Sensor Plug-in

    Hellow,

    I have the same problem as xzjw83 (ordinal 1927 not found in DDL-File euser.dll)
    I want to develop for the E52 (with has the s60 3the edition)

    So i use the Sensor Framework Plug-in (5th ed.'s framework backported on 3th ed. fp2).

    When i want to emulate it the error pops up.

    Has somebody a sollution for this error?


    With kind regards

    Robin

  10. #10
    Nokia Developer Moderator
    Join Date
    Sep 2004
    Location
    Tampere, Finland
    Posts
    11,355

    Re: Problem with S60 3th Edition FP 2 and Sensor Plug-in

    Obviously the libraries were built with a diferent version of the S60 3rd Edition FP2 release than the one on which the SDK was created and now the libraries have a dependency on a ordinal which does not exist in euser.dll. Unfortunately that's the risk of these backports ... Anyhow, there is no real emulation provided for sensors so the only way to really get the app tested is to run it on device, that will work.
    -- Lucian

    If you are not yet a DVLUP member it is time to correct that mistake :) Click here to join: http://www.dvlup.com/lucian/Invite

  11. #11
    Regular Contributor
    Join Date
    Aug 2009
    Posts
    75

    Re: Problem with S60 3th Edition FP 2 and Sensor Plug-in

    Thanks for the fast answer.

    I wil test it on the device

    With kind regards

    Robin

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •